//------------------------------------------------------------------------------
//
// Copyright (c) 2004-2005  Matt Brunk  <info@smartcache.net>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License VERSION 2 as
// published by the Free Software Foundation.  You are not allowed to
// use any other version of the license; unless you got the explicit
// permission from the author to do so.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
#include "stdafx.h"
#include "TripleDES.h"
#include "des3.h"

CTripleDES::CTripleDES(const TripleDesBufType keyLeft, const TripleDesBufType keyRight)
{
	memcpy(m_keyLeft, keyLeft, sizeof m_keyLeft);
	memcpy(m_keyRight, keyRight, sizeof m_keyRight);

}

CTripleDES::~CTripleDES()
{

}

void CTripleDES::Encrypt(TripleDesBufType inBlock, TripleDesBufType outBlock)
{
	des3_context ctx3;

	des3_set_2keys(&ctx3, m_keyLeft, m_keyRight);
	des3_encrypt(&ctx3, inBlock, outBlock);
}

void CTripleDES::Decrypt(TripleDesBufType inBlock, TripleDesBufType outBlock)
{
	des3_context ctx3;

	des3_set_2keys(&ctx3, m_keyLeft, m_keyRight);
	des3_decrypt(&ctx3, inBlock, outBlock);
}
