//------------------------------------------------------------------------------
//
// Copyright (c) 2004-2005  Matt Brunk  <info@smartcache.net>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License VERSION 2 as
// published by the Free Software Foundation.  You are not allowed to
// use any other version of the license; unless you got the explicit
// permission from the author to do so.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
#if !defined(AFX_DLGATR_H__0365BA59_37AF_4C72_A8F0_3DAB411A0FDA__INCLUDED_)
#define AFX_DLGATR_H__0365BA59_37AF_4C72_A8F0_3DAB411A0FDA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgATR.h : header file
//

#include "ACOS1.h"
#include "HexEdit.h"
#include "IntEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgATR dialog

class CDlgATR : public CDialog
{
// Construction
public:
	CDlgATR(CACOS1 *pAcos1, CWnd* pParent = NULL);   // standard constructor

	AtrStruct m_atr;


// Dialog Data
	//{{AFX_DATA(CDlgATR)
	enum { IDD = IDD_DIALOG_ATR };
	CHexEdit	m_editN_OF_FILE;
	CButton	m_radioUser;
	CHexEdit	m_editOtherStage;
	CButton	m_radioOtherStage;
	CButton	m_radioPersonalization;
	CButton	m_radioOther;
	CButton	m_radioManufacturing;
	CButton	m_radioAcos1;
	CHexEdit	m_editRevision;
	CHexEdit	m_editOtherATR;
	CHexEdit	m_editAcos1ATR;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgATR)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgATR)
	afx_msg void OnButtonResetAcos1();
	afx_msg void OnRadioAcos1();
	afx_msg void OnRadioStage();
	afx_msg void OnRadioOther();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	afx_msg LRESULT OnHexEditUpdate(WPARAM, LPARAM);
	DECLARE_MESSAGE_MAP()

	void	SetAtr(CHexEdit &edit, U8 *buf, UINT length);
	void	UpdateAcos1();

	CACOS1		*m_pAcos1;
	CFont		m_font;
};	//lint !e1712: default constructor not defined for class 'CDlgATR'

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGATR_H__0365BA59_37AF_4C72_A8F0_3DAB411A0FDA__INCLUDED_)
